<?php

namespace Farfetch;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UpdateBoArtigosRefFar' => '\\Farfetch\\StructType\\UpdateBoArtigosRefFar',
            'UpdateBoArtigosRefFarResponse' => '\\Farfetch\\StructType\\UpdateBoArtigosRefFarResponse',
            'GetPossibleDuplicates' => '\\Farfetch\\StructType\\GetPossibleDuplicates',
            'ProductSummary' => '\\Farfetch\\StructType\\ProductSummary',
            'SizeRange' => '\\Farfetch\\StructType\\SizeRange',
            'ArrayOfItemSize' => '\\Farfetch\\ArrayType\\ArrayOfItemSize',
            'ItemSize' => '\\Farfetch\\StructType\\ItemSize',
            'ArrayOfProductSummary' => '\\Farfetch\\ArrayType\\ArrayOfProductSummary',
            'GetPossibleDuplicatesResponse' => '\\Farfetch\\StructType\\GetPossibleDuplicatesResponse',
            'SaveGeoBrandPrices' => '\\Farfetch\\StructType\\SaveGeoBrandPrices',
            'ArrayOfGeoBrandPriceInput' => '\\Farfetch\\ArrayType\\ArrayOfGeoBrandPriceInput',
            'GeoBrandPriceInput' => '\\Farfetch\\StructType\\GeoBrandPriceInput',
            'GeoBrandPriceSaveResult' => '\\Farfetch\\StructType\\GeoBrandPriceSaveResult',
            'ArrayOfString' => '\\Farfetch\\ArrayType\\ArrayOfString',
            'ArrayOfGeoBrandPriceSaveResult' => '\\Farfetch\\ArrayType\\ArrayOfGeoBrandPriceSaveResult',
            'SaveGeoBrandPricesResponse' => '\\Farfetch\\StructType\\SaveGeoBrandPricesResponse',
            'GetBrandRegions' => '\\Farfetch\\StructType\\GetBrandRegions',
            'GeoRegion' => '\\Farfetch\\StructType\\GeoRegion',
            'ArrayOfGeoRegion' => '\\Farfetch\\ArrayType\\ArrayOfGeoRegion',
            'GetBrandRegionsResponse' => '\\Farfetch\\StructType\\GetBrandRegionsResponse',
            'AssociateToChildProduct' => '\\Farfetch\\StructType\\AssociateToChildProduct',
            'ArrayOfSimpleBoutiqueBarcode' => '\\Farfetch\\ArrayType\\ArrayOfSimpleBoutiqueBarcode',
            'SimpleBoutiqueBarcode' => '\\Farfetch\\StructType\\SimpleBoutiqueBarcode',
            'AssociationResult' => '\\Farfetch\\StructType\\AssociationResult',
            'ArrayOfBoutiqueBarcodeResult' => '\\Farfetch\\ArrayType\\ArrayOfBoutiqueBarcodeResult',
            'BoutiqueBarcodeResult' => '\\Farfetch\\StructType\\BoutiqueBarcodeResult',
            'AssociateToChildProductResponse' => '\\Farfetch\\StructType\\AssociateToChildProductResponse',
            'AssociateProduct' => '\\Farfetch\\StructType\\AssociateProduct',
            'AssociateProductResponse' => '\\Farfetch\\StructType\\AssociateProductResponse',
            'AssociateProductWithVat' => '\\Farfetch\\StructType\\AssociateProductWithVat',
            'AssociateProductWithVatResponse' => '\\Farfetch\\StructType\\AssociateProductWithVatResponse',
            'GetAllStock' => '\\Farfetch\\StructType\\GetAllStock',
            'GetAllStockResponse' => '\\Farfetch\\StructType\\GetAllStockResponse',
            'GetAllStockResult' => '\\Farfetch\\StructType\\GetAllStockResult',
            'GetAllStockWithStoreBarcodes' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodes',
            'GetAllStockWithStoreBarcodesResponse' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodesResponse',
            'GetAllStockWithStoreBarcodesResult' => '\\Farfetch\\StructType\\GetAllStockWithStoreBarcodesResult',
            'GetBoxName' => '\\Farfetch\\StructType\\GetBoxName',
            'GetBoxNameResponse' => '\\Farfetch\\StructType\\GetBoxNameResponse',
            'GetBoxes' => '\\Farfetch\\StructType\\GetBoxes',
            'GetBoxesResponse' => '\\Farfetch\\StructType\\GetBoxesResponse',
            'GetBoxesResult' => '\\Farfetch\\StructType\\GetBoxesResult',
            'GetDefaultCountries' => '\\Farfetch\\StructType\\GetDefaultCountries',
            'GetDefaultCountriesResponse' => '\\Farfetch\\StructType\\GetDefaultCountriesResponse',
            'GetDefaultCountriesResult' => '\\Farfetch\\StructType\\GetDefaultCountriesResult',
            'GetList' => '\\Farfetch\\StructType\\GetList',
            'GetListResponse' => '\\Farfetch\\StructType\\GetListResponse',
            'GetListResult' => '\\Farfetch\\StructType\\GetListResult',
            'GetColourTypes' => '\\Farfetch\\StructType\\GetColourTypes',
            'GetColourTypesResponse' => '\\Farfetch\\StructType\\GetColourTypesResponse',
            'GetColourTypesResult' => '\\Farfetch\\StructType\\GetColourTypesResult',
            'GetComposition' => '\\Farfetch\\StructType\\GetComposition',
            'GetCompositionResponse' => '\\Farfetch\\StructType\\GetCompositionResponse',
            'GetCompositionResult' => '\\Farfetch\\StructType\\GetCompositionResult',
            'GetMainView' => '\\Farfetch\\StructType\\GetMainView',
            'GetMainViewResponse' => '\\Farfetch\\StructType\\GetMainViewResponse',
            'GetMeasures' => '\\Farfetch\\StructType\\GetMeasures',
            'GetMeasuresResponse' => '\\Farfetch\\StructType\\GetMeasuresResponse',
            'GetMeasuresResult' => '\\Farfetch\\StructType\\GetMeasuresResult',
            'GetPropValueNameById' => '\\Farfetch\\StructType\\GetPropValueNameById',
            'GetPropValueNameByIdResponse' => '\\Farfetch\\StructType\\GetPropValueNameByIdResponse',
            'GetPropValueIdByName' => '\\Farfetch\\StructType\\GetPropValueIdByName',
            'GetPropValueIdByNameResponse' => '\\Farfetch\\StructType\\GetPropValueIdByNameResponse',
            'GetProperty' => '\\Farfetch\\StructType\\GetProperty',
            'GetPropertyResponse' => '\\Farfetch\\StructType\\GetPropertyResponse',
            'GetSizeHelpId' => '\\Farfetch\\StructType\\GetSizeHelpId',
            'GetSizeHelpIdResponse' => '\\Farfetch\\StructType\\GetSizeHelpIdResponse',
            'GetSizes' => '\\Farfetch\\StructType\\GetSizes',
            'GetSizesResponse' => '\\Farfetch\\StructType\\GetSizesResponse',
            'GetSizesResult' => '\\Farfetch\\StructType\\GetSizesResult',
            'GetStock' => '\\Farfetch\\StructType\\GetStock',
            'GetStockResponse' => '\\Farfetch\\StructType\\GetStockResponse',
            'GetStoreItems' => '\\Farfetch\\StructType\\GetStoreItems',
            'GetStoreItemsResponse' => '\\Farfetch\\StructType\\GetStoreItemsResponse',
            'GetStoreItemsResult' => '\\Farfetch\\StructType\\GetStoreItemsResult',
            'GetStorePrice' => '\\Farfetch\\StructType\\GetStorePrice',
            'GetStorePriceResponse' => '\\Farfetch\\StructType\\GetStorePriceResponse',
            'GetWebsiteDescription' => '\\Farfetch\\StructType\\GetWebsiteDescription',
            'GetWebsiteDescriptionResponse' => '\\Farfetch\\StructType\\GetWebsiteDescriptionResponse',
            'existSKU' => '\\Farfetch\\StructType\\ExistSKU',
            'existSKUResponse' => '\\Farfetch\\StructType\\ExistSKUResponse',
            'isBrandVisible' => '\\Farfetch\\StructType\\IsBrandVisible',
            'isBrandVisibleResponse' => '\\Farfetch\\StructType\\IsBrandVisibleResponse',
            'GetSKUandDesingerID' => '\\Farfetch\\StructType\\GetSKUandDesingerID',
            'GetSKUandDesingerIDResponse' => '\\Farfetch\\StructType\\GetSKUandDesingerIDResponse',
            'GetParentItemId' => '\\Farfetch\\StructType\\GetParentItemId',
            'GetParentItemIdResponse' => '\\Farfetch\\StructType\\GetParentItemIdResponse',
            'GetFFItemId' => '\\Farfetch\\StructType\\GetFFItemId',
            'GetFFItemIdResponse' => '\\Farfetch\\StructType\\GetFFItemIdResponse',
            'GetFFItemUrl' => '\\Farfetch\\StructType\\GetFFItemUrl',
            'GetFFItemUrlResponse' => '\\Farfetch\\StructType\\GetFFItemUrlResponse',
            'GetGender' => '\\Farfetch\\StructType\\GetGender',
            'GetGenderResponse' => '\\Farfetch\\StructType\\GetGenderResponse',
            'GetGenderResult' => '\\Farfetch\\StructType\\GetGenderResult',
            'GetMaterialCategory' => '\\Farfetch\\StructType\\GetMaterialCategory',
            'GetMaterialCategoryResponse' => '\\Farfetch\\StructType\\GetMaterialCategoryResponse',
            'GetMaterialCategoryResult' => '\\Farfetch\\StructType\\GetMaterialCategoryResult',
            'GetMaterial' => '\\Farfetch\\StructType\\GetMaterial',
            'GetMaterialResponse' => '\\Farfetch\\StructType\\GetMaterialResponse',
            'GetMaterialResult' => '\\Farfetch\\StructType\\GetMaterialResult',
            'GetCategories' => '\\Farfetch\\StructType\\GetCategories',
            'GetCategoriesResponse' => '\\Farfetch\\StructType\\GetCategoriesResponse',
            'GetCategoriesResult' => '\\Farfetch\\StructType\\GetCategoriesResult',
            'Get2ndLevelCats' => '\\Farfetch\\StructType\\Get2ndLevelCats',
            'Get2ndLevelCatsResponse' => '\\Farfetch\\StructType\\Get2ndLevelCatsResponse',
            'Get2ndLevelCatsResult' => '\\Farfetch\\StructType\\Get2ndLevelCatsResult',
            'GetSizeRangesFiltered' => '\\Farfetch\\StructType\\GetSizeRangesFiltered',
            'GetSizeRangesFilteredResponse' => '\\Farfetch\\StructType\\GetSizeRangesFilteredResponse',
            'GetSizeRangesFilteredResult' => '\\Farfetch\\StructType\\GetSizeRangesFilteredResult',
            'SearchSizeScalesForProductCreation' => '\\Farfetch\\StructType\\SearchSizeScalesForProductCreation',
            'SearchSizeScalesForProductCreationResponse' => '\\Farfetch\\StructType\\SearchSizeScalesForProductCreationResponse',
            'SearchSizeScalesForProductCreationResult' => '\\Farfetch\\StructType\\SearchSizeScalesForProductCreationResult',
            'GetSlots' => '\\Farfetch\\StructType\\GetSlots',
            'GetSlotsResponse' => '\\Farfetch\\StructType\\GetSlotsResponse',
            'GetSlotsResult' => '\\Farfetch\\StructType\\GetSlotsResult',
            'GetOpenSlots' => '\\Farfetch\\StructType\\GetOpenSlots',
            'GetOpenSlotsResponse' => '\\Farfetch\\StructType\\GetOpenSlotsResponse',
            'GetOpenSlotsResult' => '\\Farfetch\\StructType\\GetOpenSlotsResult',
            'GetSonId' => '\\Farfetch\\StructType\\GetSonId',
            'GetSonIdResponse' => '\\Farfetch\\StructType\\GetSonIdResponse',
            'GetSonIdForOrderManagement' => '\\Farfetch\\StructType\\GetSonIdForOrderManagement',
            'GetSonIdForOrderManagementResponse' => '\\Farfetch\\StructType\\GetSonIdForOrderManagementResponse',
            'GetDesignerIdsForSeasonBrand' => '\\Farfetch\\StructType\\GetDesignerIdsForSeasonBrand',
            'GetDesignerIdsForSeasonBrandResponse' => '\\Farfetch\\StructType\\GetDesignerIdsForSeasonBrandResponse',
            'IsBrandSeasonDesignerIdListBound' => '\\Farfetch\\StructType\\IsBrandSeasonDesignerIdListBound',
            'IsBrandSeasonDesignerIdListBoundResponse' => '\\Farfetch\\StructType\\IsBrandSeasonDesignerIdListBoundResponse',
            'InsertMaterials' => '\\Farfetch\\StructType\\InsertMaterials',
            'InsertMaterialsResponse' => '\\Farfetch\\StructType\\InsertMaterialsResponse',
            'InsertSizesQuantity' => '\\Farfetch\\StructType\\InsertSizesQuantity',
            'InsertSizesQuantityResponse' => '\\Farfetch\\StructType\\InsertSizesQuantityResponse',
            'GetAllPictures' => '\\Farfetch\\StructType\\GetAllPictures',
            'GetAllPicturesResponse' => '\\Farfetch\\StructType\\GetAllPicturesResponse',
            'GetAllPicturesResult' => '\\Farfetch\\StructType\\GetAllPicturesResult',
            'GetAllPicturesByBarcode' => '\\Farfetch\\StructType\\GetAllPicturesByBarcode',
            'GetAllPicturesByBarcodeResponse' => '\\Farfetch\\StructType\\GetAllPicturesByBarcodeResponse',
            'GetAllPicturesByBarcodeResult' => '\\Farfetch\\StructType\\GetAllPicturesByBarcodeResult',
            'InsertStoreBarcode' => '\\Farfetch\\StructType\\InsertStoreBarcode',
            'InsertStoreBarcodeResponse' => '\\Farfetch\\StructType\\InsertStoreBarcodeResponse',
            'ProductPriceUpdate' => '\\Farfetch\\StructType\\ProductPriceUpdate',
            'ProductPriceUpdateResponse' => '\\Farfetch\\StructType\\ProductPriceUpdateResponse',
            'AddCountryOfOriginToItem' => '\\Farfetch\\StructType\\AddCountryOfOriginToItem',
            'AddCountryOfOriginToItemResponse' => '\\Farfetch\\StructType\\AddCountryOfOriginToItemResponse',
            'AddDesignerIdToBrandSeasonList' => '\\Farfetch\\StructType\\AddDesignerIdToBrandSeasonList',
            'AddDesignerIdToBrandSeasonListResponse' => '\\Farfetch\\StructType\\AddDesignerIdToBrandSeasonListResponse',
            'GetAllSizeRangesInUse' => '\\Farfetch\\StructType\\GetAllSizeRangesInUse',
            'GetAllSizeRangesInUseResponse' => '\\Farfetch\\StructType\\GetAllSizeRangesInUseResponse',
            'GetAllSizeRangesInUseResult' => '\\Farfetch\\StructType\\GetAllSizeRangesInUseResult',
            'MappDuplicates' => '\\Farfetch\\StructType\\MappDuplicates',
            'MappDuplicatesResponse' => '\\Farfetch\\StructType\\MappDuplicatesResponse',
            'GetTransportationProperties' => '\\Farfetch\\StructType\\GetTransportationProperties',
            'TransportationProperty' => '\\Farfetch\\StructType\\TransportationProperty',
            'ArrayOfTransportationProperty' => '\\Farfetch\\ArrayType\\ArrayOfTransportationProperty',
            'GetTransportationPropertiesResponse' => '\\Farfetch\\StructType\\GetTransportationPropertiesResponse',
            'GetProductTransportationProperties' => '\\Farfetch\\StructType\\GetProductTransportationProperties',
            'TransportationProduct' => '\\Farfetch\\StructType\\TransportationProduct',
            'GetProductTransportationPropertiesResponse' => '\\Farfetch\\StructType\\GetProductTransportationPropertiesResponse',
        );
    }
}
