<?php

namespace Farfetch\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Add ServiceType
 * @subpackage Services
 */
class Add extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named AddCountryOfOriginToItem
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Farfetch\StructType\AddCountryOfOriginToItem $parameters
     * @return \Farfetch\StructType\AddCountryOfOriginToItemResponse|bool
     */
    public function AddCountryOfOriginToItem(\Farfetch\StructType\AddCountryOfOriginToItem $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AddCountryOfOriginToItem($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AddDesignerIdToBrandSeasonList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Farfetch\StructType\AddDesignerIdToBrandSeasonList $parameters
     * @return \Farfetch\StructType\AddDesignerIdToBrandSeasonListResponse|bool
     */
    public function AddDesignerIdToBrandSeasonList(\Farfetch\StructType\AddDesignerIdToBrandSeasonList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->AddDesignerIdToBrandSeasonList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \Farfetch\StructType\AddCountryOfOriginToItemResponse|\Farfetch\StructType\AddDesignerIdToBrandSeasonListResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
