<?php

namespace Farfetch\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoBrandPriceSaveResult StructType
 * @subpackage Structs
 */
class GeoBrandPriceSaveResult extends AbstractStructBase
{
    /**
     * The Success
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Success;
    /**
     * The OriginalInput
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Farfetch\StructType\GeoBrandPriceInput
     */
    public $OriginalInput;
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Farfetch\ArrayType\ArrayOfString
     */
    public $Errors;
    /**
     * Constructor method for GeoBrandPriceSaveResult
     * @uses GeoBrandPriceSaveResult::setSuccess()
     * @uses GeoBrandPriceSaveResult::setOriginalInput()
     * @uses GeoBrandPriceSaveResult::setErrors()
     * @param bool $success
     * @param \Farfetch\StructType\GeoBrandPriceInput $originalInput
     * @param \Farfetch\ArrayType\ArrayOfString $errors
     */
    public function __construct($success = null, \Farfetch\StructType\GeoBrandPriceInput $originalInput = null, \Farfetch\ArrayType\ArrayOfString $errors = null)
    {
        $this
            ->setSuccess($success)
            ->setOriginalInput($originalInput)
            ->setErrors($errors);
    }
    /**
     * Get Success value
     * @return bool
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param bool $success
     * @return \Farfetch\StructType\GeoBrandPriceSaveResult
     */
    public function setSuccess($success = null)
    {
        // validation for constraint: boolean
        if (!is_null($success) && !is_bool($success)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($success, true), gettype($success)), __LINE__);
        }
        $this->Success = $success;
        return $this;
    }
    /**
     * Get OriginalInput value
     * @return \Farfetch\StructType\GeoBrandPriceInput|null
     */
    public function getOriginalInput()
    {
        return $this->OriginalInput;
    }
    /**
     * Set OriginalInput value
     * @param \Farfetch\StructType\GeoBrandPriceInput $originalInput
     * @return \Farfetch\StructType\GeoBrandPriceSaveResult
     */
    public function setOriginalInput(\Farfetch\StructType\GeoBrandPriceInput $originalInput = null)
    {
        $this->OriginalInput = $originalInput;
        return $this;
    }
    /**
     * Get Errors value
     * @return \Farfetch\ArrayType\ArrayOfString|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \Farfetch\ArrayType\ArrayOfString $errors
     * @return \Farfetch\StructType\GeoBrandPriceSaveResult
     */
    public function setErrors(\Farfetch\ArrayType\ArrayOfString $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
}
